package com.yd.dal.entity.agms.hiring;

import java.util.Date;

/**
 * @author xxy
 */
public class PractitionerHiringWorkingExperience {
    /**
     * 工作单位
     */
    private String workingCompany;

    /**
     * 职位
     */
    private String position;

    /**
     * 开始年月
     */
    private String workingStart;

    /**
     * 结束年月
     */
    private String workingEnd;

    /**
     * 获取 工作单位
     *
     * @return workingCompany 工作单位
     */
    public String getWorkingCompany() {
        return this.workingCompany;
    }

    /**
     * 设置 工作单位
     *
     * @param workingCompany 工作单位
     */
    public void setWorkingCompany(String workingCompany) {
        this.workingCompany = workingCompany;
    }

    /**
     * 获取 职位
     *
     * @return position 职位
     */
    public String getPosition() {
        return this.position;
    }

    /**
     * 设置 职位
     *
     * @param position 职位
     */
    public void setPosition(String position) {
        this.position = position;
    }

    /**
     * 获取 开始年月
     *
     * @return workingStart 开始年月
     */
    public String getWorkingStart() {
        return this.workingStart;
    }

    /**
     * 设置 开始年月
     *
     * @param workingStart 开始年月
     */
    public void setWorkingStart(String workingStart) {
        this.workingStart = workingStart;
    }

    /**
     * 获取 结束年月
     *
     * @return workingEnd 结束年月
     */
    public String getWorkingEnd() {
        return this.workingEnd;
    }

    /**
     * 设置 结束年月
     *
     * @param workingEnd 结束年月
     */
    public void setWorkingEnd(String workingEnd) {
        this.workingEnd = workingEnd;
    }

    /**
     * 获取 0=No 1=Yes
     *
     * @return isActive 0=No 1=Yes
     */

    @Override
    public String toString() {
        return "PractitionerHiringWorkingExperience{" +
                "workingCompany='" + workingCompany + '\'' +
                ", position='" + position + '\'' +
                ", workingStart=" + workingStart +
                ", workingEnd=" + workingEnd +
                '}';
    }
}
